package com.zzsn.modules.kgj.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * 采集任务/网站管理Model
 * @author 杨海龙
 * @date 2015-5-16 17:20
 * @company 郑州数能软件科技有限公司
 */
@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
public class Site {


			//columns START
	    /**
	     * id       db_column: ID 
	     */ 	
		private Long id;
	    /**
	     * rid       db_column: RID 
	     */ 	
		private Long rid;
		
		private String locale;
	    /**
	     * name       db_column: NAME 
	     */ 	
		private String name;
	    /**
	     * uri       db_column: URI 
	     */ 	
		private String uri;
	    /**
	     * category       db_column: CATEGORY 
	     */ 	
		private String category;
	    /**
	     * leve       db_column: LEVE 
	     */ 	
		private String leve;
	    /**
	     * lang       db_column: LANG 
	     */ 	
		private String lang;
	    /**
	     * collect       db_column: COLLECT 
	     */ 	
		private String collect;
	    /**
	     * template       db_column: TEMPLATE 
	     */ 	
		private String template;
	    /**
	     * match       db_column: MATCH 
	     */ 	
		private String match;
	    /**
	     * rule       db_column: RULE 
	     */ 	
		private String rule;
	    /**
	     * scan       db_column: SCAN 
	     */ 	
		private String scan;
	    /**
	     * status       db_column: STATUS 
	     */ 	
		private String status;
	    /**
	     * type       db_column: TYPE 
	     */ 	
		private String type;
	    /**
	     * createBy       db_column: CREATE_BY 
	     */ 	
		private String createBy;
	    /**
	     * createDate       db_column: CREATE_DATE 
	     */ 	
		private String createDate;
	    /**
	     * depth       db_column: DEPTH 
	     */ 	
		private Integer depth;
		/**
		 * orgId		db_column:ORG_ID
		 */
		private Long orgId;
		/**
		 * 启动时间
		 */
		private String startTime; 
		/**
		 * 是否需要登录
		 */
		private String isLogin;
		/**
		 * 登录的域名
		 */
		private String loginDomain;
		/**
		 * 登录的地址
		 */
		private String loginUrl;
		/**
		 * 登录用户名
		 */
		private String loginName;
		/**
		 * 登录用户名的表单name
		 */
		private String loginNameAttr;
		/**
		 * 登录密码
		 */
		private String loginPwd;
		/**
		 * 登录密码的表单name
		 */
		private String loginPwdAttr;
		/**
		 * ccid
		 */
		private Long ccid;
		/**
		 * scopetags
		 */
		private String scopetags;
		/**
	     * hisUrlExp       db_column: HIS_URI_EXP 
	     */ 	
		private String hisUriExp;
		/**
	     * hisDatePoint       db_column: HIS_DATE_POINT 
	     */ 
		private String hisDatePoint;
		/**
	     * hisCrawlState       db_column: HIS_CRAWL_STATE 
	     */ 
		private Integer hisCrawlState;
		/**
	     * hisCrawlRemark       db_column: HIS_CRAWL_REMARK 
	     */ 
		private String hisCrawlRemark;
		/**
		 * matchTitle  db_column:MATCH_TITLE
		 */
		private String matchTitle;
		/**
		 * matchPublishDate  db_column:MATCH_PUBLISH_DATE
		 */
		private String matchPublishDate;
		/**
		 * matchSummary  db_column:MATCH_SUMMARY
		 */
		private String matchSummary;
		/**
		 * matchAuthor  db_column:MATCH_AUTHOR
		 */
		private String matchAuthor;
		/**
		 * matchOrigin  db_column:MATCH_ORIGIN
		 */
		private String matchOrigin;
		/**
		 * matchKeywords  db_column:MATCH_KEYWORDS
		 */
		private String matchKeywords;
		/**
		 * matchContent  db_column:MATCH_CONTENT
		 */
		private String matchContent;
		
		/**
		 * tid		db_column:TID
		 */
		private Long tid;
		
		/**
		 * verifystatus db_column:VERIFYSTATUS
		 */
		private String verifystatus;
		
		/**
		 * 网站名称
		 */
		private String domainurl;
		//IS_FOREIGN 是否是国外信息源
		private Long isForeign;
		
		private String viewtid;
		//国内外设定
		private String isNw;
		
		/**
		 *全网采集 
		 */
		private String allmatch;
		
		
		
		
		public String getAllmatch() {
			return allmatch;
		}
		public void setAllmatch(String allmatch) {
			this.allmatch = allmatch;
		}
		public String getLocale() {
			return locale;
		}
		public void setLocale(String locale) {
			this.locale = locale;
		}
		public String getIsNw() {
			return isNw;
		}
		public void setIsNw(String isNw) {
			this.isNw = isNw;
		}
		public String getLoginDomain() {
			return loginDomain;
		}
		public void setLoginDomain(String loginDomain) {
			this.loginDomain = loginDomain;
		}
		public String getStartTime() {
			return startTime;
		}
		public void setStartTime(String startTime) {
			this.startTime = startTime;
		}
		public String getIsLogin() {
			return isLogin;
		}
		public void setIsLogin(String isLogin) {
			this.isLogin = isLogin;
		}
		public String getLoginUrl() {
			return loginUrl;
		}
		public void setLoginUrl(String loginUrl) {
			this.loginUrl = loginUrl;
		}
		public String getLoginName() {
			return loginName;
		}
		public void setLoginName(String loginName) {
			this.loginName = loginName;
		}
		public String getLoginNameAttr() {
			return loginNameAttr;
		}
		public void setLoginNameAttr(String loginNameAttr) {
			this.loginNameAttr = loginNameAttr;
		}
		public String getLoginPwd() {
			return loginPwd;
		}
		public void setLoginPwd(String loginPwd) {
			this.loginPwd = loginPwd;
		}
		public String getLoginPwdAttr() {
			return loginPwdAttr;
		}
		public void setLoginPwdAttr(String loginPwdAttr) {
			this.loginPwdAttr = loginPwdAttr;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
		//columns END
		//用来显示的虚拟列
		private String viewRid;
		private String viewCategory;
		private String viewCollect;
		private String viewLang;
		private String viewRule;
		private String viewStatus;
		private String viewLeve;
		public String getViewLeve() {
			return viewLeve;
		}
		public void setViewLeve(String viewLeve) {
			this.viewLeve = viewLeve;
		}
		//用来生成template字段的抽取配置
		private String contentExp;
		private String contentFrom;
		private String contentAttr;
		private String contentSub;
		
		private String titleExp;
		private String titleFrom;
		private String titleAttr;
		private String titleSub;
		
		private String summaryExp;
		private String summaryFrom;
		private String summaryAttr;
		private String summarySub;
		
		private String keyExp;
		private String keyFrom;
		private String keyAttr;
		private String keySub;
		
		private String originExp;
		private String originFrom;
		private String originAttr;
		private String originSub;
		
		private String dateExp;
		private String dateFrom;
		public String getContentExp() {
			return contentExp;
		}
		public void setContentExp(String contentExp) {
			this.contentExp = contentExp;
		}
		public String getContentFrom() {
			return contentFrom;
		}
		public void setContentFrom(String contentFrom) {
			this.contentFrom = contentFrom;
		}
		public String getContentAttr() {
			return contentAttr;
		}
		public void setContentAttr(String contentAttr) {
			this.contentAttr = contentAttr;
		}
		public String getContentSub() {
			return contentSub;
		}
		public void setContentSub(String contentSub) {
			this.contentSub = contentSub;
		}
		public String getTitleExp() {
			return titleExp;
		}
		public void setTitleExp(String titleExp) {
			this.titleExp = titleExp;
		}
		public String getTitleFrom() {
			return titleFrom;
		}
		public void setTitleFrom(String titleFrom) {
			this.titleFrom = titleFrom;
		}
		public String getTitleAttr() {
			return titleAttr;
		}
		public void setTitleAttr(String titleAttr) {
			this.titleAttr = titleAttr;
		}
		public String getTitleSub() {
			return titleSub;
		}
		public void setTitleSub(String titleSub) {
			this.titleSub = titleSub;
		}
		public String getSummaryExp() {
			return summaryExp;
		}
		public void setSummaryExp(String summaryExp) {
			this.summaryExp = summaryExp;
		}
		public String getSummaryFrom() {
			return summaryFrom;
		}
		public void setSummaryFrom(String summaryFrom) {
			this.summaryFrom = summaryFrom;
		}
		public String getSummaryAttr() {
			return summaryAttr;
		}
		public void setSummaryAttr(String summaryAttr) {
			this.summaryAttr = summaryAttr;
		}
		public String getSummarySub() {
			return summarySub;
		}
		public void setSummarySub(String summarySub) {
			this.summarySub = summarySub;
		}
		public String getKeyExp() {
			return keyExp;
		}
		public void setKeyExp(String keyExp) {
			this.keyExp = keyExp;
		}
		public String getKeyFrom() {
			return keyFrom;
		}
		public void setKeyFrom(String keyFrom) {
			this.keyFrom = keyFrom;
		}
		public String getKeyAttr() {
			return keyAttr;
		}
		public void setKeyAttr(String keyAttr) {
			this.keyAttr = keyAttr;
		}
		public String getKeySub() {
			return keySub;
		}
		public void setKeySub(String keySub) {
			this.keySub = keySub;
		}
		public String getDateExp() {
			return dateExp;
		}
		public void setDateExp(String dateExp) {
			this.dateExp = dateExp;
		}
		public String getDateFrom() {
			return dateFrom;
		}
		public void setDateFrom(String dateFrom) {
			this.dateFrom = dateFrom;
		}
		public String getDateAttr() {
			return dateAttr;
		}
		public void setDateAttr(String dateAttr) {
			this.dateAttr = dateAttr;
		}
		public String getDateSub() {
			return dateSub;
		}
		public void setDateSub(String dateSub) {
			this.dateSub = dateSub;
		}
		public String getAuthorExp() {
			return authorExp;
		}
		public void setAuthorExp(String authorExp) {
			this.authorExp = authorExp;
		}
		public String getAuthorFrom() {
			return authorFrom;
		}
		public void setAuthorFrom(String authorFrom) {
			this.authorFrom = authorFrom;
		}
		public String getAuthorAttr() {
			return authorAttr;
		}
		public void setAuthorAttr(String authorAttr) {
			this.authorAttr = authorAttr;
		}
		public String getAuthorSub() {
			return authorSub;
		}
		public void setAuthorSub(String authorSub) {
			this.authorSub = authorSub;
		}
		private String dateAttr;
		private String dateSub;
		
		private String authorExp;
		private String authorFrom;
		private String authorAttr;
		private String authorSub;
		
		public String getViewRid() {
			return viewRid;
		}
		public void setViewRid(String viewRid) {
			this.viewRid = viewRid;
		}
		public String getViewCategory() {
			return viewCategory;
		}
		public void setViewCategory(String viewCategory) {
			this.viewCategory = viewCategory;
		}
		public String getViewCollect() {
			return viewCollect;
		}
		public void setViewCollect(String viewCollect) {
			this.viewCollect = viewCollect;
		}
		public String getViewLang() {
			return viewLang;
		}
		public void setViewLang(String viewLang) {
			this.viewLang = viewLang;
		}
		public String getViewRule() {
			return viewRule;
		}
		public void setViewRule(String viewRule) {
			this.viewRule = viewRule;
		}
		public String getViewStatus() {
			return viewStatus;
		}
		public void setViewStatus(String viewStatus) {
			this.viewStatus = viewStatus;
		}
		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public Long getRid() {
			return rid;
		}
		public void setRid(Long rid) {
			this.rid = rid;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getUri() {
			return uri;
		}
		public void setUri(String uri) {
			this.uri = uri;
		}
		public String getCategory() {
			return category;
		}
		public void setCategory(String category) {
			this.category = category;
		}
		public String getLeve() {
			return leve;
		}
		public void setLeve(String leve) {
			this.leve = leve;
		}
		public String getLang() {
			return lang;
		}
		public void setLang(String lang) {
			this.lang = lang;
		}
		public String getCollect() {
			return collect;
		}
		public void setCollect(String collect) {
			this.collect = collect;
		}
		public String getTemplate() {
			return template;
		}
		public void setTemplate(String template) {
			this.template = template;
		}
		public String getMatch() {
			return match;
		}
		public void setMatch(String match) {
			this.match = match;
		}
		public String getRule() {
			return rule;
		}
		public void setRule(String rule) {
			this.rule = rule;
		}
		public String getScan() {
			return scan;
		}
		public void setScan(String scan) {
			this.scan = scan;
		}
		public String getStatus() {
			return status;
		}
		public void setStatus(String status) {
			this.status = status;
		}
		public String getOriginExp() {
			return originExp;
		}
		public void setOriginExp(String originExp) {
			this.originExp = originExp;
		}
		public String getOriginFrom() {
			return originFrom;
		}
		public void setOriginFrom(String originFrom) {
			this.originFrom = originFrom;
		}
		public String getOriginAttr() {
			return originAttr;
		}
		public void setOriginAttr(String originAttr) {
			this.originAttr = originAttr;
		}
		public String getOriginSub() {
			return originSub;
		}
		public void setOriginSub(String originSub) {
			this.originSub = originSub;
		}
		public String getType() {
			return type;
		}
		public void setType(String type) {
			this.type = type;
		}
		public String getCreateBy() {
			return createBy;
		}
		public void setCreateBy(String createBy) {
			this.createBy = createBy;
		}
		public String getCreateDate() {
			return createDate;
		}
		public void setCreateDate(String createDate) {
			this.createDate = createDate;
		}
		public Integer getDepth() {
			return depth;
		}
		public void setDepth(Integer depth) {
			this.depth = depth;
		}
		public Long getCcid() {
			return ccid;
		}
		public void setCcid(Long ccid) {
			this.ccid = ccid;
		}
		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + ((id == null) ? 0 : id.hashCode());
			return result;
		}
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (getClass() != obj.getClass())
				return false;
			Site other = (Site) obj;
			if (id == null) {
				if (other.id != null)
					return false;
			} else if (!id.equals(other.id))
				return false;
			return true;
		}
		public String getScopetags() {
			return scopetags;
		}
		public void setScopetags(String scopetags) {
			this.scopetags = scopetags;
		}
		public String getHisUriExp() {
			return hisUriExp;
		}
		public void setHisUriExp(String hisUriExp) {
			this.hisUriExp = hisUriExp;
		}
		public String getHisDatePoint() {
			return hisDatePoint;
		}
		public void setHisDatePoint(String hisDatePoint) {
			this.hisDatePoint = hisDatePoint;
		}
		public Integer getHisCrawlState() {
			return hisCrawlState;
		}
		public void setHisCrawlState(Integer hisCrawlState) {
			this.hisCrawlState = hisCrawlState;
		}
		public String getHisCrawlRemark() {
			return hisCrawlRemark;
		}
		public void setHisCrawlRemark(String hisCrawlRemark) {
			this.hisCrawlRemark = hisCrawlRemark;
		}
		public String getMatchTitle() {
			return matchTitle;
		}
		public void setMatchTitle(String matchTitle) {
			this.matchTitle = matchTitle;
		}
		public String getMatchPublishDate() {
			return matchPublishDate;
		}
		public void setMatchPublishDate(String matchPublishDate) {
			this.matchPublishDate = matchPublishDate;
		}
		public String getMatchSummary() {
			return matchSummary;
		}
		public void setMatchSummary(String matchSummary) {
			this.matchSummary = matchSummary;
		}
		public String getMatchAuthor() {
			return matchAuthor;
		}
		public void setMatchAuthor(String matchAuthor) {
			this.matchAuthor = matchAuthor;
		}
		public String getMatchOrigin() {
			return matchOrigin;
		}
		public void setMatchOrigin(String matchOrigin) {
			this.matchOrigin = matchOrigin;
		}
		public String getMatchKeywords() {
			return matchKeywords;
		}
		public void setMatchKeywords(String matchKeywords) {
			this.matchKeywords = matchKeywords;
		}
		public String getMatchContent() {
			return matchContent;
		}
		public void setMatchContent(String matchContent) {
			this.matchContent = matchContent;
		}
		public Long getTid() {
			return tid;
		}
		public void setTid(Long tid) {
			this.tid = tid;
		}
		public String getViewtid() {
			return viewtid;
		}
		public void setViewtid(String viewtid) {
			this.viewtid = viewtid;
		}
		public String getVerifystatus() {
			return verifystatus;
		}
		public void setVerifystatus(String verifystatus) {
			this.verifystatus = verifystatus;
		}
		public String getDomainurl() {
			return domainurl;
		}
		public void setDomainurl(String domainurl) {
			this.domainurl = domainurl;
		}
		public Long getIsForeign() {
			return isForeign;
		}
		public void setIsForeign(Long isForeign) {
			this.isForeign = isForeign;
		}
		

}
